libpoppler-qt5-dev_0.62.0-2ubuntu2_i386.deb


Advertisement

Description

libpoppler-qt5-dev - PDF rendering library -- development files (Qt 5 interface)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpoppler-qt5-dev
Package version 0.62.0
Package release 2ubuntu2
Package architecture i386
Package type deb
Installed size 180 B
Download size 31.50 KB
Official Mirror archive.ubuntu.com
Poppler is a PDF rendering library based on Xpdf PDF viewer.
This package contains the headers and development libraries needed to
build applications using the Qt 5-based Poppler interface.

Alternatives

Package Version Architecture Repository
libpoppler-qt5-dev_0.62.0-2ubuntu2.1_i386.deb 0.62.0 i386 Ubuntu Updates Universe
libpoppler-qt5-dev_0.62.0-2ubuntu2.1_amd64.deb 0.62.0 amd64 Ubuntu Updates Universe
libpoppler-qt5-dev_0.62.0-2ubuntu2_amd64.deb 0.62.0 amd64 Ubuntu Universe
libpoppler-qt5-dev - - -

Requires

Name Value
libpoppler-dev = 0.62.0-2ubuntu2
libpoppler-qt5-1 = 0.62.0-2ubuntu2
qtbase5-dev -

Download

Type URL
Binary Package libpoppler-qt5-dev_0.62.0-2ubuntu2_i386.deb
Source Package poppler

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpoppler-qt5-dev deb package:
    # sudo apt-get install libpoppler-qt5-dev

Files

Path
/usr/include/poppler/qt5/poppler-annotation.h
/usr/include/poppler/qt5/poppler-export.h
/usr/include/poppler/qt5/poppler-form.h
/usr/include/poppler/qt5/poppler-link.h
/usr/include/poppler/qt5/poppler-media.h
/usr/include/poppler/qt5/poppler-optcontent.h
/usr/include/poppler/qt5/poppler-page-transition.h
/usr/include/poppler/qt5/poppler-qt5.h
/usr/lib/i386-linux-gnu/libpoppler-qt5.so
/usr/lib/i386-linux-gnu/pkgconfig/poppler-qt5.pc
/usr/share/doc/libpoppler-qt5-dev/changelog.Debian.gz
/usr/share/doc/libpoppler-qt5-dev/copyright

Changelog

2018-04-13 - Jeremy Bicha <jbicha@ubuntu.com>
poppler (0.62.0-2ubuntu2) bionic; urgency=medium
* Cherry-pick cairo-good-filter.patch from 0.63:
Use cairo's GOOD filter instead of BEST to significantly improve
performance. Thanks Rogério Brito for suggesting this patch.
(Closes: #895487) (LP: #1763874)
2018-04-09 - Iain Lane <iain@orangesquash.org.uk>
poppler (0.62.0-2ubuntu1) bionic; urgency=low
* Merge with Debian; remaining changes:
- d/p/proper-init.patch: Fix thumbnailer crash
- d/rules: Use --enable-libopenjpeg=unmaintained, it's in universe
- debian/patches/CVE-2017-2820.patch: check for overflow in
poppler/JPXStream.cc.
- debian/patches/CVE-2017-9083.patch: check nComps in
poppler/JPXStream.cc.
2018-03-04 - Emilio Pozuelo Monfort <pochu@debian.org>
poppler (0.62.0-2) unstable; urgency=medium
* 01-new-gtk-doc.patch: patch from upstream git, fix FTBFS with new
gtk-doc-tools. Closes: #887525.
* rules: don't hardcode CXXFLAGS when setting -g, instead append to it
so that we also get dpkg's buildflags.
* rules: pass CFLAGS down to CMake. This should get x32 the required flags
from dpkg to build with hardening=pie. This was lost during the switch
to CMake as it doesn't use CFLAGS directly. Closes: #883881.
* debian/tests/test-qt4.cpp: drop, the qt4 build is gone.
* qt-visibility.diff: drop qt4 hunk.
* control: Switch Vcs to salsa.
* Upload to unstable.
2018-01-25 - Matthias Klose <doko@ubuntu.com>
poppler (0.62.0-1ubuntu1) bionic; urgency=medium
* Merge with Debian; remaining changes:
- d/p/proper-init.patch: Fix thumbnailer crash
- d/rules: Use --enable-libopenjpeg=unmaintained, it's in universe
- debian/patches/CVE-2017-2820.patch: check for overflow in
poppler/JPXStream.cc.
- debian/patches/CVE-2017-9083.patch: check nComps in
poppler/JPXStream.cc.
2017-12-14 - Emilio Pozuelo Monfort <pochu@debian.org>
poppler (0.62.0-1) experimental; urgency=medium
* New upstream release.
* Drop libpoppler-qt4 library, removed upstream. Closes: #875096.
* libpoppler72 -> libpoppler73.
* control: Bump Standards-Version to 4.1.2.
2017-12-06 - Emilio Pozuelo Monfort <pochu@debian.org>
poppler (0.61.1-2) unstable; urgency=medium
* debian/patches/qt-visibility.diff: forward upstream.
* Upload to unstable.

See Also

Package Description
libpopplerkit-dev_0.0.20051227svn-7.1build17_i386.deb GNUstep framework for rendering PDF content (development files)
libpopplerkit0_0.0.20051227svn-7.1build17_i386.deb GNUstep framework for rendering PDF content (library files)
libportaudio-ocaml-dev_0.2.1-1build1_i386.deb OCaml bindings for the portaudio library
libportaudio-ocaml_0.2.1-1build1_i386.deb OCaml bindings for the portaudio library
libportaudio2_19.6.0-1_i386.deb Portable audio I/O - shared library
libportaudiocpp0_19.6.0-1_i386.deb Portable audio I/O C++ bindings - shared library
libportlet-api-2.0-spec-java-doc_1.0-2.1_all.deb Java Portlet Specification V2.0 - documentation
libportlet-api-2.0-spec-java_1.0-2.1_all.deb Java Portlet Specification V2.0
libportmidi-dev_217-6_i386.deb library for real-time MIDI input/output
libportmidi0_217-6_i386.deb library for real-time MIDI input/output
libportsmf-dev_0.1~svn20101010-5ubuntu1_i386.deb Portable Standard Midi File Library (development files)
libportsmf0v5_0.1~svn20101010-5ubuntu1_i386.deb Portable Standard Midi File Library
libposix-2008-perl_0.16-1_i386.deb Perl interface to POSIX.1-2008
libposix-atfork-perl_0.02-1build5_i386.deb hook registrations at fork(2)
libposix-strftime-compiler-perl_0.42-1_all.deb GNU C library compatible strftime for loggers and servers
Advertisement
Advertisement